[@bigcommerce/checkout-sdk](../README.md) / ConsignmentUpdateRequestBody

# Interface: ConsignmentUpdateRequestBody

## Table of contents

### Properties

- [address](ConsignmentUpdateRequestBody.md#address)
- [id](ConsignmentUpdateRequestBody.md#id)
- [lineItems](ConsignmentUpdateRequestBody.md#lineitems)
- [pickupOption](ConsignmentUpdateRequestBody.md#pickupoption)
- [shippingAddress](ConsignmentUpdateRequestBody.md#shippingaddress)
- [shippingOptionId](ConsignmentUpdateRequestBody.md#shippingoptionid)

## Properties

### address

• `Optional` **address**: [`AddressRequestBody`](AddressRequestBody.md)

___

### id

• **id**: `string`

___

### lineItems

• `Optional` **lineItems**: [`ConsignmentLineItem`](ConsignmentLineItem.md)[]

___

### pickupOption

• `Optional` **pickupOption**: [`ConsignmentPickupOption`](ConsignmentPickupOption.md)

___

### shippingAddress

• `Optional` **shippingAddress**: [`AddressRequestBody`](AddressRequestBody.md)

___

### shippingOptionId

• `Optional` **shippingOptionId**: `string`
